//*----------------------------------------------------------------------------
//* AT91SAM7S example application "gamma" (SWI, stdio, remapping...)
//*----------------------------------------------------------------------------
//* The software is delivered "AS IS" without warranty or condition of any
//* kind, either express, implied or statutory. This includes without
//* limitation any warranty or condition with respect to merchantability or
//* fitness for any particular purpose, or against the infringements of
//* intellectual property rights of others.
//*----------------------------------------------------------------------------
//* 
//* by Martin Thomas, Kaiserslautern, Germany
//*    http://www.siwawi.arubi.uni-kl.de/avr_projects
//*
//* partly based on free code from Atmel Rousset, Keil/ARM and others
//*
//*----------------------------------------------------------------------------

/* 
   20060902 : PIT ISR-Handler in RAM (__ramfunc),
*/

#include <stdint.h>
//#include <stdio.h>

#include "Board.h"
#include "swi.h"
#include "lcd.h"
#include "bits.h"

#define RTTC_INTERRUPT_LEVEL   0
#define PIV_200_MS             600000  //* 200 ms for 48 MHz

#define SWDEBOUNCE 2

volatile uint32_t t;

__ramfunc void Periodic_Interval_Timer_handler(void) 
{

  volatile uint32_t status;
	
	// Interrupt Acknowledge
	status = AT91C_BASE_PITC->PITC_PIVR;

  Backlight(BKLGHT_LCD_OFF);

	
}
	
int main(void)
{

  /* Enable the peripheral clock. */
   AT91F_PMC_EnablePeriphClock( AT91C_BASE_PMC, (1 << AT91C_ID_PIOA) |  /* Enable Clock for PIO    */
                                                (1 << AT91C_ID_IRQ0) |  /* Enable Clock for IRQ0   */
                                                (1 << AT91C_ID_IRQ1) |  /* Enable Clock for IRQ0   */
                                                (1 << AT91C_ID_PIOB)     /* Enable Clock for USART0 */
                              );

  
  AT91F_PIO_CfgInput(AT91C_BASE_PIOB, BIT24 | BIT25);
    
  // Init LCD
  InitLCD();

  // Set settings
  LCDSettings();

  // Load bitmap
  LCDWrite130x130bmp();

	// Set-up PIT interrupt
	// AT91F_AIC_ConfigureIt ( AT91C_BASE_AIC, AT91C_ID_SYS, RTTC_INTERRUPT_LEVEL,AT91C_AIC_SRCTYPE_INT_POSITIVE_EDGE, Periodic_Interval_Timer_handler);
	AT91F_PITInit(AT91C_BASE_PITC, 1000 /* uS */, 48 /* MHz */);
	AT91F_AIC_ConfigureIt(AT91C_BASE_AIC, AT91C_ID_SYS, RTTC_INTERRUPT_LEVEL,AT91C_AIC_SRCTYPE_INT_POSITIVE_EDGE, Periodic_Interval_Timer_handler);
  AT91F_PITC_CfgPMC();
	//AT91C_BASE_PITC->PITC_PIMR = AT91C_PITC_PITEN | AT91C_PITC_PITIEN | PIV_200_MS;  //  IRQ enable CPC
	AT91F_AIC_EnableIt(AT91C_BASE_AIC, AT91C_ID_SYS);
	AT91F_PITEnableInt(AT91C_BASE_PITC);


	// main-loop
	while (1) {

	}

	return 0; /* never reached */
}





